unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Spin;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnDisplay: TButton;
    edtSpannung: TEdit;
    edtStrom: TEdit;
    FltEdtWiderstand: TFloatSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;

    Memo1: TMemo;

    procedure btnDisplayClick(Sender: TObject);
    procedure FltEdtWiderstandChange(Sender: TObject);
    procedure FltEdtWiderstandEditingDone(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  StromI      : Real;
  SpannungU   : Real;
  WiderstandR : Real;

implementation

{$R *.lfm}

{ TForm1 }

procedure Berechnung;
begin
   form1.Memo1.Lines.Add('BERECHNUNG mit Wert : '+FormatFloat('###,##0.00',WiderstandR));
   StromI := SpannungU / WiderstandR;
end;

procedure TForm1.btnDisplayClick(Sender: TObject);
begin
  edtSpannung.caption :=  FormatFloat('###,##0.00',SpannungU);
  FltedtWiderstand.value :=  WiderstandR;
  edtStrom.caption :=  FormatFloat('###,###0.000',StromI);
  form1.Memo1.Lines.Add('****** finished ******');

end;

procedure TForm1.FltEdtWiderstandChange(Sender: TObject);
begin
   form1.Memo1.Lines.Add('FloatSpinEdit OnChange : '+FormatFloat('###,##0.00',FltEdtWiderstand.Value));
   WiderstandR := FltEdtWiderstand.value;
   Berechnung;
 //  btnDisplay.Click;  //Anzeige darf nicht aufgefrischt werden sonst geht EditingDone nicht
end;

procedure TForm1.FltEdtWiderstandEditingDone(Sender: TObject);
begin
   form1.Memo1.Lines.Add('FloatSpinEdit EditingDone : '+FormatFloat('###,##0.00',FltEdtWiderstand.Value));
  FltEdtWiderstand.value :=  FltEdtWiderstand.Value;   //wird gebraucht um korrigierte Werte sofort korrigiert darzustellen (nicht innerhalb min-max)
   WiderstandR := FltEdtWiderstand.value;
   Berechnung;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SpannungU := 12.00;
  WiderstandR := 1000;
  StromI := 0.00;
  Berechnung;
  btnDisplay.Click;
end;


end.

